Explaination

1.Category string --coma separeted categoryName)
2. SearchText string
3. ProductType string --coma separeted ProductType)
4. MinPrice decimal --Nullable
5. MaxPrice decimal --Nullable
6. SortBy string -- nullable
7. items intiger --Nullable
8. page intiger

page algorithom
Please send page no Like First Page 0, Second Page 15 , Third Page 29 (if items value is 15).

Case 1:
int page = 1;
int row = 15;
page = (page-1) * row;
result is 0;

Case 2:
int page = 2;
int row = 15;
page = (page-1) * row;
result is 15;



example 

1.
CALL ecommerce_get_product_list('All','%%','All',0.0,100.00,NULL,NULL,0)
2.
CALL ecommerce_get_product_list('Building Products','%%','All',0.0,100.0,'top seller',NULL,0)
3.
CALL ecommerce_get_product_list('All','%%','All',NULL,NULL,NULL,NULL,0)
4.
CALL ecommerce_get_product_list('All','%%','All',NULL,NULL,NULL,0)
5.
CALL ecommerce_get_product_list('All','%%','All',NULL,NULL,NULL,0)
